# https://github.com/bebraw/pypandoc/archive/1.4.tar.gz
%global module pypandoc

Name:           python-%{module}
Version:        1.4
Release:        %mkrel 1
Summary:        Thin wrapper for pandoc

License:        MIT
Group:          Development/Python
URL:            https://github.com/bebraw/pypandoc
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  pandoc
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       pandoc
Requires:       python-setuptools

%description
%{summary}.

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       pandoc
Requires:       python3-setuptools

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
# avoid install pip and wheel at runtime
sed -i "s/install_requires = .*/install_requires = ['setuptools'],/" setup.py
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc LICENSE README.md
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.md
%{python3_sitelib}/*

%changelog
* Sat Apr 21 2018 marcin82 <fixxer1982 at gmail.com> - 1.4-1pclos2018
- initial build
